Name:           xpad
Version:        4.1
Release:        1%{?dist}
Summary:        Sticky notepad for GTK+2

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://launchpad.net/xpad
Source0:        https://launchpad.net/xpad/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
Patch0:         xpad-4.1-glibc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  libSM-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  intltool

%description
Xpad is a sticky note application that strives to be simple, fault-tolerant, 
and customizable. It consists of independent pad windows; each is basically a 
text box in which notes can be written. Despite being called xpad, all that is
needed to run or compile it is the GTK+ 2.0 libraries.

%prep
%setup -q
%patch0 -p1 -b .glibc


%build
%configure

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

# desktop file stuff
desktop-file-install --vendor="fedora" \
        --delete-original \
        --dir=%{buildroot}/%{_datadir}/applications \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/*-%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Nov 27 2012 Christoph Wickert <cwickert@fedoraproject.org> - 4.1-1
- Update to 4.1
- Remove obsolete GTK_WINDOW_TOPLEVEL.patch
- Add patch to compile with recent glibc versions

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 4.0-8
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 17 2010 Christoph Wickert <cwickert@fedoraproject.org> - 4.0-6
- Fix for GTK_WINDOW_TOPLEVEL by Bart Martens (Debian #576770)

* Sat Oct 24 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.0-5
- Remove autostart again. Doesn't work properly and is annoying on Live CDs
- Spec file clean-ups

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.0-3
- Add autostart
- Add new icon cache scriptlets
- Fix macros

* Sat May 30 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.0-2
- Add BR intltool

* Sat May 30 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.0-1
- Update to new upstream version 4.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 10 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 3.0-1
- Update to new upstream version 3.0
- Upstream: Doesn't wake up every 20 milliseconds
- Upstream: Added some command line options (--hide, --show)
- Upstream: Update icon a bit
- Change license to GPLv3+

* Fri Jul 18 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 2.14-2
- description fixed
- Add doc NEWS, THANKS and TODO
- Add Requires: hicolor-icon-theme
- Remove BuildRequires: libICE-devel

* Fri Jul 11 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 2.14-1
- Initial SPEC file
